"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class AxiosCancelException extends Error {
    constructor(response) {
        super(response.message);
        this.response = response;
        this.code = response.code;
        this.args = response.args;
        this.path = response.path;
        this.initName();
    }
    initName() {
        this.name = this.constructor.name;
    }
    getInfo() {
        return {
            message: this.response.message,
            code: this.response.code,
            args: this.response.args,
            path: this.response.path,
        };
    }
}
exports.default = AxiosCancelException;
//# sourceMappingURL=AxiosCancelException.js.map