"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSystemError = exports.getResponseFirstError = exports.checkIsRefreshTokenAPI = void 0;
const exception_1 = require("@/exception");
/**
 * 檢查是否為 Refresh
 * @param config
 */
const checkIsRefreshTokenAPI = (config) => {
    return config.requestCode === 'refreshToken';
};
exports.checkIsRefreshTokenAPI = checkIsRefreshTokenAPI;
/**
 * 返回 Axios 格式錯誤
 * @param response
 */
const getResponseFirstError = (response) => {
    var _a, _b;
    return (_b = (_a = response.data.errors) === null || _a === void 0 ? void 0 : _a[0]) !== null && _b !== void 0 ? _b : undefined;
};
exports.getResponseFirstError = getResponseFirstError;
/**
 * 返回 System 格式錯誤
 * @param response
 */
const getSystemError = (response) => {
    var _a, _b;
    const firstError = (0, exports.getResponseFirstError)(response);
    return new exception_1.SystemException({
        message: (_a = firstError === null || firstError === void 0 ? void 0 : firstError.message) !== null && _a !== void 0 ? _a : 'Axios error',
        code: (_b = firstError === null || firstError === void 0 ? void 0 : firstError.code) !== null && _b !== void 0 ? _b : 'ERR_SYS_BAD_RESPONSE',
        path: firstError === null || firstError === void 0 ? void 0 : firstError.path
    });
};
exports.getSystemError = getSystemError;
//# sourceMappingURL=utils.js.map