"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.refreshingHeaderKey = void 0;
const client_1 = require("@apollo/client");
const subscriptions_1 = require("@apollo/client/link/subscriptions");
const utilities_1 = require("@apollo/client/utilities");
const graphql_ws_1 = require("graphql-ws");
const utils_1 = require("@/store/main/auth/utils");
exports.refreshingHeaderKey = 'X-Refresh-Token';
// get http or https method from window.location.protocol
const ssl = window.location.protocol === 'https:';
const wsProtocol = ssl ? 'wss' : 'ws';
const wsLink = new subscriptions_1.GraphQLWsLink((0, graphql_ws_1.createClient)({
    url: `${wsProtocol}://${window.location.host}/graphql`,
    connectionParams: () => __awaiter(void 0, void 0, void 0, function* () {
        const { accessToken } = (0, utils_1.getTokenInfo)();
        return {
            Authorization: `Bearer ${accessToken}`,
        };
    }),
}));
// The split function takes three parameters:
//
// * A function that's called for each operation to execute
// * The Link to use for an operation if the function returns a "truthy" value
// * The Link to use for an operation if the function returns a "falsy" value
const splitLink = (0, client_1.split)(({ query }) => {
    const definition = (0, utilities_1.getMainDefinition)(query);
    return (definition.kind === 'OperationDefinition' &&
        definition.operation === 'subscription');
}, wsLink);
const apolloClient = new client_1.ApolloClient({
    link: splitLink,
    cache: new client_1.InMemoryCache()
});
exports.default = apolloClient;
//# sourceMappingURL=config.js.map