import { OperationDefinitionNode } from 'graphql';
import { ReactQueryRawPluginConfig } from './config';
import { FetcherRenderer } from './fetcher';
import { ReactQueryVisitor } from './visitor';
export declare class CustomMapperFetcher implements FetcherRenderer {
    private visitor;
    private _mapperQuery;
    private _mapperInfiniteQuery;
    private _mapperQueryClient;
    private _mapperMutation;
    private _isQueryAndQueryClient;
    constructor(visitor: ReactQueryVisitor, customFetcher: ReactQueryRawPluginConfig['fetcher']);
    private getFetcherQueryFnName;
    private getFetcherInfiniteQueryFnName;
    private getFetcherQueryClientFnName;
    private getFetcherMutationFnName;
    private getSubscriptionFnName;
    generateFetcherImplementaion(): string;
    generateInfiniteQueryHook(node: OperationDefinitionNode, documentVariableName: string, operationName: string, operationResultType: string, operationVariablesTypes: string, hasRequiredVariables: boolean): string;
    generateQueryHook(node: OperationDefinitionNode, documentVariableName: string, operationName: string, operationResultType: string, operationVariablesTypes: string, hasRequiredVariables: boolean): string;
    generateMutationHook(node: OperationDefinitionNode, documentVariableName: string, operationName: string, operationResultType: string, operationVariablesTypes: string, hasRequiredVariables: boolean): string;
    generateSubscriptionHook(node: OperationDefinitionNode, documentVariableName: string, operationName: string, operationResultType: string, operationVariablesTypes: string, hasRequiredVariables: boolean): string;
}
